List bank accounts
Returns the bank accounts configured for the store’s payouts. Requires the PAYOUTS_READ scope.
GET
https://api.pandabase.io/v2/core/stores/{storeId}/payouts/bank-accounts Authentication
Requires a bearer token (sk_…) or an API key in the header Authorization.
Path parameters
storeId string required (length 12–48)
Header parameters
idempotency-key string (length 8–32)
Response 200
Default Response
ok enum required (one of true)
data object required No description.
Response 404
Default Response
ok enum required (one of false)
error string required No description.
Request
curl -X GET https://api.pandabase.io/v2/core/stores/:storeId/payouts/bank-accountsResponse
{ "ok": true, "data": [ { "id": "bnk_q1mzj0kxw5h7n4tr3bcfp2v8", "isPrimary": true, "status": "APPROVED", "last4": "4242", "bankName": "Chase", "country": "US", "routingNumber": "021000021", "bankAccountType": "checking", "supportedCurrencies": [ "usd" ], "availablePayoutSpeeds": [ "standard", "instant" ], "createdAt": "2026-04-15T12:00:00.000Z", "updatedAt": "2026-04-18T15:30:00.000Z" } ]}